@import url("https://use.typekit.net/vbl8sey.css");


:root { 
    --black: #222;
    --white: #FFFFFF;
    --orange: #DA7940; 
    --pink: #E39CB7; 
    --lightblue: #98B2CB;
    /* --lightblue: #A7C7E7;  */
    --darkgrey: #666666; 
    --beige: #F8F6E9;
}

/* Applies a reset for margin, padding, and box-sizing to ensure a consistent default style across different browsers. */
* {
    margin: 0;
    padding: 0; 
    box-sizing: border-box;
}

/* Sets the font family, background color, and other styles for the entire body of the website. */
body {
    font-family: "loos-normal", "roc-grotesk","freightdispcmp-pro";
    background-color: var(--white);

}

.logo {
    width: 9vw;
}

header {
    /* background-image: url(../images/bubbles.jpeg);
    background-size: cover; 
    background-position: 30% 12%;
    height: 137px;
    background-attachment: fixed; */
    background-color: var(--white);
    display: flex; 
    flex-direction: row; 
    justify-content: space-between;
    height: 137px;
    align-items: center;
    font-size: 32px;
    padding:3rem;
}

header.home-header {
    position: absolute;
    left: 0;
    top: 0; 
    width: 100%;
    z-index: 9999;
    background-color: unset;
}

/* Styles for the navigation section, including flex layout, row direction, and font size. */
nav {
    display: flex;
    flex-direction: row;
    align-items: center; 
    padding: 2px; 
    font-size: 24px;
    border-radius: 30px; 
    border: 2px #737373 solid;
    width: 14.5em;
    justify-content: center;
}

.nav .div {
    display: flex;
    align-items: center;
    padding: 0.6em;
    cursor: pointer;
    font-size: 24px;
}

nav ul li a.inuse {
    color: var(--orange);
    /* background-color: var(--pink); */
    border-radius: 20px;
}

ul {
    display: flex;
    justify-content: center;
    margin: 0px;
    padding: 0px;
    background: var(--blue);
    list-style-type: none;
    position: relative;
    color: var(--yellow);
}


ul li a {
    padding: 15px;
    color: var(--black);
    text-decoration: none;
    display: block;
    font-family: freight-display-pro, serif;
    font-weight: 700;
    font-style: normal;

}

ul ul {
    position: absolute;
    min-width: auto;
    background: var(--black);
    /* background-color: rgba(0, 0, 0, 0.4); */
    background-color: rgba(182, 182, 182, 0.4);
    display: none;
}

ul li:hover ul {
    display: block;
    z-index: 40;
}


.main-menu a:hover {
    color: var(--orange);
}

.main {
    display: flex;
    justify-content: center;
    align-items: center;
}

.banner_container {
    margin-bottom: 2em;
}

.banner_container h1 {
    font-family: "freightdispcmp-pro";
    font-weight: 700;
    font-style: normal;
    color: var(--black);
    text-align: center;
    font-size: 6em;
    margin-top: 0.5em;    
} 

/* try this filter system  */

.filter-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 3em;
    gap: 10px;
}


.filterDiv {
    /* background-color: #2196F3;*/
    /* color: #ffffff;  */
    /* width: 100px; */
    /* line-height: 100px;
    text-align: center;
    margin: 2px; */
    display: none;
}
  
  .show {
    display: block;
  }
  

   .homepage_work {
    display: flex; 
    justify-content: center;
    /* margin-top: 6em; */
    gap: 50px;
    flex-wrap: wrap;
    margin: auto;
    width: 1600px;
    /* overflow: hidden; */
}


  /* Style the buttons */
  .btn {
    font-size: 24px;
    border-radius: 35px; 
    /* border: 1px #DDDDDD solid; */
    border: 1px #DDDDDD solid;
    width: 8.5em;
    padding: 12px 16px;
    background-color: var(--white);
    /* font-family: 'archivo-variable';
    font-style: bold; */
    font-family: freight-display-pro, serif;                                                                                                                                        
    font-weight: 600;
    font-style: normal;
    color: var(--black);
    transition: all .2s ease-in-out; 
  }
  
  .btn:hover {

    /* background-color: #ddd; */
    transform: scale(1.05); 
    color: var(--orange);
  }
  
  .btn.active {
    /* background-color: var(--beige); */
    /* background-color: #ECECEC; */
    color: var(--black);
  }


.outercontainer {
    width: 379px;
    height: 445px;
    border-radius: 30px;
    box-shadow: 0px 0px 4px 1px  rgba(0, 0, 0, 0.25); 
    /* box-shadow: 0px 0px 4px 1px  rgba(0, 0, 0, 0.25);  */
    border-radius: 30px; 
    /* border: 2px solid #E8B9BC; */
    transition: all .2s ease-in-out; 
}

.outercontainer:hover { 
    transform: scale(1.05); 
}


.featured-box {
    display: flex; 
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

.featured-img {
    width: 329px; 
    height: 186px; 
    border-radius: 1.8em;
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 25px;
    transition: opacity 0.5s ease;
}

.featured-content {
    padding-top: 0.7rem;
    padding-bottom: 0.9rem; 
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-content: flex-start;
    padding-left: 2em;
}

.featured-img:hover img {
    opacity: 0.7;
}

.line {
    border-bottom: 1px solid var(--black);
    width: 90%;
}

.featured-content h2 {
    font-family: 'archivo-variable';
    font-style: bold;
    color: var(--orange);
    line-height: 2em; 
    font-size: 1.875em;
}

.featured-content h3 {
    font-family: 'archivo-variable';
    line-height: 2em; 
    margin-top: 0.5em;
    color: var(--black);
} 

.featured-content p {
    font-family: 'archivo-variable';
    font-variation-settings: "wdth" 100, "wght" 400;
    color: var(--black);
}

.descript-container {
    display: flex;
    justify-content: flex-start;
    gap: 5px;
    padding-left: 1.5em;
    margin-top: 1.3em;
}

.description-text {
    font-family: 'archivo-variable';
    color: var(--black);
    font-variation-settings: "wdth" 100, "wght" 500;
    font-size: 0.75em; 
    width: 9em;
    height: 3em;
    border-radius: 30px;
    border: 1px solid var(--lightblue);
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}




/* footer  */
.footercontainer {
    width: 530px;
    height: 115px;
    margin: 0 auto; 
    position: relative; 
    display: flex; 
    justify-content: center;    
    align-items: center;
    margin-top: 13em;

}
 
.footerimage img{
    height: 53px;
} 


.title {
    /* width: 197px;  */
    margin-right: 30px;
    height: 50px; 
    /* white-space: nowrap;  */
}

.contact {
    /* white-space: nowrap;  */
    height: 53px;
}

.title h4  {
    font-size: 0.93em;
    font-family: 'loos-normal';
    margin-bottom: 0.7em;
}

.title p {
    font-size: 12px;
    font-family: "roc-grotesk";
}

.contact h4 {
    font-size: 0.93em;
    font-family: 'loos-normal';
    margin-bottom: 0.5em;
}

.contact img {
    height: 22px;
    margin-right: 7px;
}

a {
    text-decoration: none; /* Removes underline from all anchor elements */
}



@media only screen and (min-width: 769px) {
    #hamburger {
        display: none; /* Use !important to ensure this style takes precedence */
    }
}


@media screen and (min-width: 768px) and (max-width: 1200px) {
    .homepage_work {
        transform: scale(0.8); /* Adjust scale as needed */
        transform-origin: top center; /* Optional: change origin point */
        gap:0px;
        width: auto;
    }
    
    .outercontainer {
        transform: scale(0.9); /* Adjust scale as needed */
        transform-origin: top center; /* Optional: change origin point */
    }
}



/* Media query for responsive design, adjusting styles for screens with a maximum width of 768 pixels. */
@media only screen and (max-width: 768px) {
    
    .main-menu {
        display: none;
        margin: 0px;
        padding: 0px;
        background: var(--pink);
        right: 0;
        list-style-type: none;
        position: absolute;
        flex-direction: column;
        z-index: 99999;
        width: 50%;
        /* top: 135px; */
        top: 90px;
        }

    
    #hamburger {
        display: block;
        }

    #hamburger .bar {
        background-color: var(--orange); /* Set the color of the bars to pink */
        width: 30px; /* Adjust width of the bars */
        height: 3px; /* Adjust height of the bars */
        display: block;
        margin: 6px auto; /* Adjust spacing between bars */
        transition: background-color 0.3s ease; /* Add transition effect */
    }
    
    .menu a:hover {
        color: var(--terracotta); 
    }
    
    .menu a {
        transition: color 0.3s ease;
    }
    
    #hamburger:hover {
        background-color: var(--terracotta); 
    }
    
    #hamburger {
        transition: background-color 0.3s ease;
    }
    
        
    .footercontainer {
        width: 100%;
        max-width: 100%;
        height: auto;
        margin-top: 5em; /* Adjust margin-top as needed */
    }
    
    nav {
        border: none; /* Removes the border on small screens */
        width: auto;
    }

    /* .banner_container h1 {
        font-size: 4em;
    }

    .filter-container {
        flex-direction: column;
        gap: 0.5em;
    }

    .btn {
        width: 100%;
        text-align: center;
    } */
    .filter-container {
        gap: 0.3em;
        margin: 2rem;
    }

    .btn {
        padding: 0.5em;
        font-size: 0.9em;
    }
    .homepage_work {
        display: flex;
        justify-content: center;
        margin-top: 1em;
        gap: 50px;
        flex-direction: column;
        flex-wrap: wrap;
        margin: auto;
        width: 1600px;
        max-width: 100%;
        height: auto;
        padding: 20px;
    }
}
/* 
@media (max-width: 480px) {

    .filter-container {
        gap: 0.3em;
    }

    .btn {
        padding: 0.5em;
        font-size: 0.9em;
    }
} */